<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [HTTPRequest](./puppeteer.httprequest.md) &gt; [continue](./puppeteer.httprequest.continue.md)

## HTTPRequest.continue() method

<b>Signature:</b>

```typescript
continue(overrides?: {
        url?: string;
        method?: string;
        postData?: string;
        headers?: Record<string, string>;
    }): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  overrides | { url?: string; method?: string; postData?: string; headers?: Record&lt;string, string&gt;; } |  |

<b>Returns:</b>

Promise&lt;void&gt;

